<template>
  <v-dialog v-model="dialog" max-width="650">
    <template v-slot:activator="{ on }">
      <v-btn
        :disabled="user && user.role === 'facilitator'"
        color="red lighten-2"
        outlined
        dark
        v-on="on"
        >Join this circle</v-btn
      >
    </template>

    <v-card>
      <v-card-text class="text-center pa-4">
        <p class="title">Please login to your account  </p>
        <v-tabs grow v-model="authTab">
          <v-tab>Sign up</v-tab>
          <v-tab>Login</v-tab>
        </v-tabs>
        <v-tabs-items v-model="authTab">
          <v-tab-item>
            <signup-form/>
          </v-tab-item>
          <v-tab-item>
            <login-form/>
          </v-tab-item>
        </v-tabs-items>
      </v-card-text>
    </v-card>
  </v-dialog>
</template>

<script>
import { mapState } from 'vuex'
import SignupForm from '@/components/Shared/Auth/Signup'
import LoginForm from '@/components/Shared/Auth/Login'

export default {
  components: {
    SignupForm,
    LoginForm
  },
  props: {
    circle: Object
  },
  data: () => ({
    authTab: 'login',
    dialog: false,
    book: false,
    bookButtonName: 'Book Circle',
    disableBook: false,
    bookFinish: false,
    loading: false,
    errorHappened: false,
    bookError: null,
    bookLoading: false,
    enterCard: false
  }),
  computed: {
    ...mapState('authentication', ['user'])
  }, 
}
</script>

<style lang="scss" scoped></style>
